Skip to content

Your postback notification for an order.

POST
/order/example-postback-to-order/[your_notification_url]

Every time a transaction has its status changed, your system will receive a notification from ours, so that you know if transactions were paid.

We expect that your system returns to ours: status code 200. If not, we’ll retry 6 more times.

object
id
required

The id of the order of which to retrieve the details.

string
code
required

Order id in your system.

string
status
required

Order status.

string
Allowed values: PENDING PAID EXPIRED REFUNDED CANCELED ERROR
paidAt
required

The date the order was paid.

string
updatedAt
required

The date the order was updated.

string
type
required

The webhook order type.

string
Allowed values: PAY-IN PAY-OUT REFUND
message

The message.

string
customerMessage

The message for the customer.

string
amount
required

Amount of the order

object
currency
required

The three-character ISO currency code.

https://en.wikipedia.org/wiki/ISO_4217
string
Allowed values: BRL USD ARS EUR CLP COP MXN PEN BUSD USDT
value
required

The amount of the transaction, in minor units.

Minor Units Format
------------------

All amount values must be formatted in that currency’s smallest unit.
Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be "10.95".
Two-decimal currency (for example US Dollars): $10.95 USD, amount will be "10.95".
Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be "1095".
Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency.    
string
ownerBank

The owner bank. Returns data only when payment method is PIX

object
name

The name of the owner.

string
document

The document of the owner.

string
bank

The bank information of owner.

object
name

The bank name.

string
ispb

The bank ISPB code.

string
code

The bank code, like COMPE.

string
account

The account number.

string
branch

The branch account number.

string
pix

The pix.

object
type
required

The type of pix

string
Allowed values: CPF CNPJ EMAIL PHONE RANDOM
key
required

The key of pix

string
payer

The payer bank data.

object
ispb

Bank ISPB number

string
name

Bank name

string
branch

Bank branch account number

string
account

Bank account number

string
accountType

Bank account type

string
Allowed values: CHECKING_ACCOUNT WAGE_ACCOUNT SAVINGS_ACCOUNT PAYMENT_ACCOUNT
code

Bank code (COMPE)

string
pix

Bank pix data

object
type
required

The type of pix

string
Allowed values: CPF CNPJ EMAIL PHONE RANDOM
key
required

The key of pix

string

The resource was returned successfully

object
returnCode
required

The current page.

string